Debian Bug report logs - #467839
libxml-treepp-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libxml-treepp-perl; Maintainer for libxml-treepp-perl is David Moreno <damog@debian.org>; Source for libxml-treepp-perl is src:libxml-treepp-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:21:35 UTC

Severity: important

Tags: patch

Found in version libxml-treepp-perl/0.33-1

Fixed in version libxml-treepp-perl/0.33-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to David Moreno Garza <damog@debian.org>:
Bug#467839; Package libxml-treepp-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libxml-treepp-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:28 +0200
Package: libxml-treepp-perl
Version: 0.33-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#467839; Package libxml-treepp-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #10 received at 467839@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467839@bugs.debian.org
Subject: libxml-treepp-perl: diff for NMU version 0.33-1.1
Date: Sat, 5 Apr 2008 22:37:59 +0100
[Message part 1 (text/plain, inline)]
tags 467839 + patch
thanks

Hi,

Attached is the diff for my libxml-treepp-perl 0.33-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libxml-treepp-perl-0.33-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:00:39 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467839-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467839-close@bugs.debian.org
Subject: Bug#467839: fixed in libxml-treepp-perl 0.33-1.1
Date: Sat, 05 Apr 2008 21:47:23 +0000
Source: libxml-treepp-perl
Source-Version: 0.33-1.1

We believe that the bug you reported is fixed in the latest version of
libxml-treepp-perl, which is due to be installed in the Debian FTP archive:

libxml-treepp-perl_0.33-1.1.diff.gz
  to pool/main/libx/libxml-treepp-perl/libxml-treepp-perl_0.33-1.1.diff.gz
libxml-treepp-perl_0.33-1.1.dsc
  to pool/main/libx/libxml-treepp-perl/libxml-treepp-perl_0.33-1.1.dsc
libxml-treepp-perl_0.33-1.1_all.deb
  to pool/main/libx/libxml-treepp-perl/libxml-treepp-perl_0.33-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libxml-treepp-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:04 +0100
Source: libxml-treepp-perl
Binary: libxml-treepp-perl
Architecture: source all
Version: 0.33-1.1
Distribution: unstable
Urgency: low
Maintainer: David Moreno Garza <damog@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libxml-treepp-perl - XML::TreePP -- Pure Perl implementation for parsing/writing XML f
Closes: 467839
Changes: 
 libxml-treepp-perl (0.33-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467839
Files: 
 b75440928b9ea7910c5c2fdb65c7d27d 648 perl optional libxml-treepp-perl_0.33-1.1.dsc
 e9b55171ab3d68611ee419e0b08a669d 2108 perl optional libxml-treepp-perl_0.33-1.1.diff.gz
 99b6355a39725e5ba9792b7303cea06b 24210 perl optional libxml-treepp-perl_0.33-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+KtNIW6CNDsByMRAlJGAKCP6+WjhJv1eMhtgvkfpq8ESVJYgQCfbLyn
ynGuwBOeArFOIpwsxNz2/fM=
=sfcc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:40:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:18:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.